tdcclass=function(X1,X2,FF,ncom=3,num.permutations=1000){
  ## Input:
        # X1 - network 1
        # X2 - network 2
        # FF - index of the subset of genes to be considered for testingi
	# ncom - a number of PLS components (latent variables) in PLS models
        # num.permutations - the number of random permutations
  ## Output:
        # p - p value
        # delta - observed test statistic

n1=as.integer(ncol(X1))
n2=as.integer(ncol(X2))
p=as.integer(nrow(X1))
X1=matrix(c(t(X1)),byrow=FALSE,nrow=p)
X2=matrix(c(t(X2)),byrow=FALSE,nrow=p)
nF=as.integer(length(FF))
out=.C("ltdcclass",as.double(X1),as.double(X2),as.integer(FF),nF,pval=double(1),dlt=double(1),n1,n2,p,as.integer(ncom),as.integer(num.permutations),PACKAGE="dna")
list(p=out$pval,delta=out$dlt)
}
