tdms=function(X1,X2,m,epsilon,ncom=3,num.permutations=1000){

  ## Input:
        # X1 - network 1
        # X2 - network 2
        # m - minimum cluster size parameter
        # epsilon - threshold parameter
	# ncom - a number of PLS components (latent variables) in PLS models
        # num.permutations - the number of random permutations
 
  ## Output:
        # p - p value
        # sN - observed test statistics
        # mF1 - module assignments in network 1
        # mF2 - module assignments in network 2

n1=as.integer(ncol(X1))
n2=as.integer(ncol(X2))
p=as.integer(nrow(X1))
X1=matrix(c(t(X1)),byrow=FALSE,nrow=p)
X2=matrix(c(t(X2)),byrow=FALSE,nrow=p)
out=.C("ltdms",as.double(X1),as.double(X2),as.integer(m),as.double(epsilon),pval=double(1),sN=double(1),module1=integer(p),module2=integer(p),n1,n2,p,as.integer(ncom),as.integer(num.permutations),PACKAGE="dna")
list(p=out$pval,sN=out$sN,mF1=out$module1,mF2=out$module2)
}

