\name{PLSnet}
\alias{PLSnet}
\title{Partial Least Squares network}
\description{
   Computes the connectivity scores for a network based on partial least squares (PLS).
}
\usage{
PLSnet(data,ncom=3)
}
\arguments{
   \item{data}{microarray dataset with genes as rows and samples in columns
(no gene names in the first column).}
   \item{ncom}{the number of PLS components (latent variables) in PLS models.}
}
\value{
   \item{PLSnet}{a matrix of interactions between gene pairs.}   
}
\author{
The authors are Ryan Gill, Somnath Datta, and Susmita Datta.
The software is maintained by Ryan Gill \email{rsgill01@louisville.edu}.
}
\examples{
#generate random uniform data 
n=10;p=20
X=matrix(runif(n*p),ncol=n)
#compute connectivity scores based on PLS
s=PLSnet(X)
print(round(s,2))
}

