\name{getmodules}
\alias{getmodules}
\title{Get modules for network}
\description{
   Gets modular structure for a network based on PLS scores.
}
\usage{
getmodules(s,m,epsilon)
}
\arguments{
   \item{s}{PLS scores for a network.}
   \item{m}{minimum cluster size parameter.}
   \item{epsilon}{threshold parameter.}
}
\author{
The authors are Ryan Gill, Somnath Datta, and Susmita Datta.
The software is maintained by Ryan Gill \email{rsgill01@louisville.edu}.
}
\examples{
#generate random uniform data for a network
n=50;p=20
X=matrix(runif(n*p),ncol=n)
#get modular structure for network
s=PLSnet(X)
getmodules(s,5,.3)
}

