\name{tdcclass}
\alias{tdcclass}
\title{Test for differential connectivity of a class of genes}
\description{
   Tests for differential connectivity of a class of genes between 
two networks using PLS scores.
}
\usage{
tdcclass(X1,X2,FF,ncom=3,num.permutations=1000)
}
\arguments{
   \item{X1}{network 1 with genes as rows and samples in columns
(no gene names in the first column).}
   \item{X2}{network 2 with genes as rows and samples in columns
(no gene names in the first column).}
   \item{FF}{index of the subset of genes to be considered for testing.}
   \item{ncom}{the number of PLS components (latent variables) in PLS models.}
   \item{num.permutations}{the number of random permutations.}
}
\value{
   \item{p}{p value.}   
   \item{delta}{observed test statistic.}
}
\author{
The authors are Ryan Gill, Somnath Datta, and Susmita Datta.
The software is maintained by Ryan Gill \email{rsgill01@louisville.edu}.
}
\examples{
#generate random uniform data for both networks
n=10;p=20
X1=matrix(runif(n*p),ncol=n)
X2=matrix(runif(n*p),ncol=n)
#test for differential connectivity between networks 1 and 2
tdcclass(X1,X2,1:20,3,1000)
}

