\name{tdcind}
\alias{tdcind}
\title{Test for differential connectivity of individual genes}
\description{
   Tests for differential connectivity of individual genes between 
two networks using PLS scores.
}
\usage{
tdcind(X1,X2,ncom=3,num.permutations=1000)
}
\arguments{
   \item{X1}{network 1 with genes as rows and samples in columns
(no gene names in the first column).}
   \item{X2}{network 2 with genes as rows and samples in columns
(no gene names in the first column).}
   \item{ncom}{the number of PLS components (latent variables) in PLS models.}
   \item{num.permutations}{the number of random permutations.}
}
\value{
   \item{p}{p values.}   
   \item{d}{observed test statistics.}
}
\author{
The authors are Ryan Gill, Somnath Datta, and Susmita Datta.
The software is maintained by Ryan Gill \email{rsgill01@louisville.edu}.
}
\examples{
#generate random uniform data for both networks
n=10;p=20
X1=matrix(runif(n*p),ncol=n)
X2=matrix(runif(n*p),ncol=n)
#test for differential connectivity of the individual genes in
#networks 1 and 2
tdcind(X1,X2,3,1000)
}

