\name{tdms}
\alias{tdms}
\title{Test for differential modular structures}
\description{
   Tests for differential modular structures between 
two networks using PLS scores.
}
\usage{
tdms(X1,X2,m,epsilon,ncom=3,num.permutations=1000)
}
\arguments{
   \item{X1}{network 1 with genes as rows and samples in columns
(no gene names in the first column).}
   \item{X2}{network 2 with genes as rows and samples in columns
(no gene names in the first column).}
   \item{m}{minimum cluster size parameter.}
   \item{epsilon}{threshold parameter.}
   \item{ncom}{the number of PLS components (latent variables) in PLS models.}
   \item{num.permutations}{the number of random permutations.}
}
\value{
   \item{p}{p value.}   
   \item{sN}{observed test statistics.}
   \item{mF1}{module assignments in network 1.}
   \item{mF2}{module assignments in network 2.}
}
\author{
The authors are Ryan Gill, Somnath Datta, and Susmita Datta.
The software is maintained by Ryan Gill \email{rsgill01@louisville.edu}.
}
\examples{
#generate random uniform data for both networks
n=10;p=20
X1=matrix(runif(n*p),ncol=n)
X2=matrix(runif(n*p),ncol=n)
#test for differential modular structures between networks 1 and 2
tdms(X1,X2,5,.7,3,1000)
}

